import javax.servlet.*;
import javax.servlet.http.*;
import java.text.*;
import java.io.*;
import java.net.*;

public class CalculateCostAdd extends HttpServlet
{
   public void doGet( HttpServletRequest req, HttpServletResponse res )
	        throws ServletException, IOException
   {
       res.setContentType( "text/xml" );
       ServletOutputStream out = res.getOutputStream();

       String num_of_items = req.getParameter("num_of_items");

       out.println("<?xml version=\"1.0\"?> " );
       out.println("<!--CalculateCostAdd.vxml-->");
       out.println("<vxml version=\"1.0\" ");
       out.println("      application=\"BookStoreRoot.vxml\" >");
       out.println("<meta name=\"author\" content=\"John O'Reilly\"/>");
       out.println("<meta name=\"copyright\"");
       out.println("content=\"Sams Publishing 2001\"/>");
       out.println("<meta name=\"description\"");
       out.println("content=\"Calculate the cost of a book order, ");
       out.println("          to access call (xxx)-xxx-xxxx\"/>");
       out.println("<meta name=\"keywords\"content=\"VoiceXML Sams Books\"/>");
       out.println("<meta name=\"maintainer\" content=\"johnnyo@sams.net\"/>");
       out.println("<meta name=\"robots\" content=\"index,follow\"/>");
       out.println("<meta http-equiv=\"Date\"");
       out.println("      content=\"Thu, 7 Aug 2000 20:20:20 EST\"/>");
       out.println("<meta name=\"maintainer\" ");
       out.println("      content=\"johnoreilly@lucent.com\"/>");
       out.println("<meta name=\"application\" content=\"Book Store\"/>");
       out.println("<var name=\"added_cost\" />");
       out.println("<var name=\"added_items\" expr=\""+num_of_items+"\" />");
       out.println("<form id=\"calculate_price\">");
       out.println("  <subdialog name=\"discount\"");
       out.println("    src=\"./CalculateDiscount.vxml#calculate_discount\">");
       out.println("    <param name=\"quantity\"");
       out.println("           expr=\"application.current_item=='book' ?");
       out.println("                  application.total_books : ");
       out.println("                  application.total_shirts\" />");
       out.println("    <param name=\"unit_price\"");
       out.println("           expr=\"application.current_item=='book' ?");
       out.println("                  application.unit_book_price : ");
       out.println("                  application.unit_tshirt_price\" />");
       out.println("    <param name=\"isCoupon\"");
       out.println("           expr=\"application.current_item=='book' ? ");
       out.println("                  application.has_coupon : false\" />");
       out.println("    <filled>");
       out.println("      <if cond=\"application.current_item == 'book'\">");
       out.println("        <assign name=\"application.total_book_cost\"");
       out.println("                expr=\"Number(discount.price)\"/>");
       out.println("      <else/>");
       out.println("        <assign name=\"application.total_tshirt_cost\"");
       out.println("                expr=\"Number(discount.price)\"/>");
       out.println("      </if>");
       out.println("      <!-- Keep track of the cost of the books added -->");
       out.println("      <var name=\"old_cost\"");
       out.println("           expr=\"application.total_order_cost\"/>");
       out.println("      <assign name=\"application.total_order_cost\"");
       out.println("              expr=\"application.total_book_cost");
       out.println("                     + application.total_tshirt_cost\"/>");
       out.println("    <!-- Cost of the books added=new total-old total.-->");
       out.println("      <assign name=\"added_cost\"");
       out.println("              expr=\"application.total_order_cost - ");
       out.println("                     old_cost\"/>");
       out.println("      <goto next=\"#output_total\" />");
       out.println("    </filled>");
       out.println("  </subdialog>");
       out.println("</form>");
       out.println("<form id=\"output_total\">");
       out.println("<property name=\"fetchtimeout\" value=\"2s\"/>");
       out.println("  <block>");
       out.println("    <audio src=\"youhave.wav\"> You have </audio>");
       out.println("    <audio src=\"added.wav\"> added </audio>");
       out.println("    <value expr=\"String(Math.round(added_items))\"/>");
       out.println("    <!-- output book, books, tshirts, or tshirts -->");
       out.println("    <prompt cond=\"added_items == 1 &amp;&amp;");
       out.println("                   application.current_item == 'book'\">");
       out.println("      <audio src=\"book.wav\">book</audio>");
       out.println("    </prompt>");
       out.println("    <prompt cond=\"added_items != 1 &amp;&amp;");
       out.println("                   application.current_item == 'book'\">");
       out.println("      <audio src=\"books.wav\">books</audio>");
       out.println("    </prompt>");
       out.println("    <prompt cond=\"added_items == 1 &amp;&amp; ");
       out.println("                   application.current_item=='shirt'\">");
       out.println("      <audio src=\"tshirt.wav\">t-shirt</audio>");
       out.println("    </prompt>");
       out.println("    <prompt cond=\"added_items != 1 &amp;&amp; ");
       out.println("                   application.current_item=='shirt'\">");
       out.println("      <audio src=\"tshirts.wav\">t-shirts</audio>");
       out.println("    </prompt>");
       out.println("    <audio src=\"to.wav\">to </audio>");
       out.println("    <audio src=\"yourcart.wav\">");
       out.println("      your shopping cart. ");
       out.println("    </audio>");
       out.println("    <audio src=\"thecost.wav\">The cost of the </audio>");
       out.println("    <value expr=\"String(Math.round(added_items))\"/>");
       out.println("    <audio src=\"added.wav\">added</audio>");
       out.println("    <!-- output book, books, tshirts, or tshirts -->");
       out.println("    <prompt cond=\"added_items == 1 &amp;&amp; ");
       out.println("                   application.current_item == 'book'\">");
       out.println("      <audio src=\"book.wav\">book</audio>");
       out.println("    </prompt>");
       out.println("    <prompt cond=\"added_items != 1 &amp;&amp; ");
       out.println("                   application.current_item == 'book'\">");
       out.println("      <audio src=\"books.wav\">books</audio>");
       out.println("    </prompt>");
       out.println("    <prompt cond=\"added_items == 1 &amp;&amp; ");
       out.println("                   application.current_item=='shirt'\">");
       out.println("      <audio src=\"tshirt.wav\">t-shirt</audio>");
       out.println("    </prompt>");
       out.println("    <prompt cond=\"added_items != 1 &amp;&amp; ");
       out.println("                   application.current_item=='shirt'\">");
       out.println("      <audio src=\"tshirts.wav\">t-shirts</audio>");
       out.println("    </prompt>");
       out.println("    <audio src=\"is.wav\">is </audio>");
       out.println("    <value expr=\"added_cost\" class=\"currency\" />.");
       out.println("    <goto next=\"ListItems.vxml\" fetchtimeout=\"4s\" />");
       out.println("  </block>");
       out.println(" </form>");
       out.println("</vxml>");
       out.close();
  }
}
